Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- ~

Here is a list of all class members with links to the classes they belong to:

### - r -

- RangeExceptionCode : DOMRangeException
- readBytes() : BinFileInputStream , BinMemInputStream , BinInputStream
- readFileBuffer() : XMLPlatformUtils
- recognizeNEL() : XMLPlatformUtils
- RecursiveEntity : XMLErrs
- Redefine_AttGroupRefCount : XMLErrs
- Redefine_DeclarationNotFound : XMLErrs
- Redefine_GroupRefCount : XMLErrs
- Redefine_InvalidChild : XMLErrs
- Redefine_InvalidComplexType : XMLErrs
- Redefine_InvalidComplexTypeBase : XMLErrs
- Redefine_InvalidGroupMinMax : XMLErrs
- Redefine_InvalidSimpleType : XMLErrs
- Redefine_InvalidSimpleTypeBase : XMLErrs
- RedefineNamespaceDifference : XMLErrs
- RefElementNotFound : XMLErrs
- regionIMatches() : XMLString
- regionMatches() : XMLString
- release() : DOMXPathExpression , DOMXPathNSResolver , DOMXPathResult , Wrapper4InputSource , XMLString , DOMImplementationList , DOMLSInput , DOMLSOutput , DOMLSParser , DOMLSSerializer , DOMMemoryManager , DOMNode , DOMNodeIterator , DOMRange , DOMStringList , DOMTreeWalker
- removeAdvDocHandler() : SAXParser , SAX2XMLReader
- removeAll() : Hash2KeysSetOf< THasher >
- removeAttribute() : DOMElement
- removeAttributeNode() : DOMElement
- removeAttributeNS() : DOMElement
- removeChar() : XMLString
- removeChild() : DOMNode
- removeDotDotSlash() : XMLPlatformUtils
- removeDotSlash() : XMLPlatformUtils
- removeKey() : Hash2KeysSetOf< THasher >
- removeNamedItem() : DOMNamedNodeMap
- removeNamedItemNS() : DOMNamedNodeMap
- removeWS() : XMLString
- renameNode() : DOMDocument
- RepElemInMixed : XMLValid
- replaceChild() : DOMNode
- replaceData() : DOMCharacterData
- replaceTokens() : XMLString
- replaceWholeText() : DOMText
- replaceWS() : XMLString
- replicate() : XMLString
- Required : XMLAttDef
- Required_And_Fixed : XMLAttDef
- RequiredAttrNotProvided : XMLValid
- requiresNamespaces() : XMLValidator
- Reset() : Hash2KeysSetOfEnumerator< THasher >
- reset() : MemBufFormatTarget , XMLAttDef , XMLValidator , PSVIAttribute , PSVIElement , PSVIItem , AbstractDOMParser , BinMemInputStream , BinFileInputStream , PSVIAttributeList
- resetCachedGrammarPool() : DOMLSParser , SAXParser , XercesDOMParser , SAX2XMLReader
- resetDocType() : DTDHandler , HandlerBase , SAXParser , AbstractDOMParser , DefaultHandler
- resetDocument() : DefaultHandler , HandlerBase , SAXParser , AbstractDOMParser , DocumentHandler , XMLDocumentHandler
- resetDocumentPool() : DOMLSParser , XercesDOMParser
- resetEntities() : XMLEntityHandler , SAXParser , XercesDOMParser
- resetErrors() : DefaultHandler , XMLErrorReporter , HandlerBase , ErrorHandler , SAXParser , XercesDOMParser
- resetFile() : XMLPlatformUtils
- resetMemBufInputSource() : MemBufInputSource
- resetPool() : AbstractDOMParser
- resolveEntity() : HandlerBase , DefaultHandler , XMLEntityResolver , XercesDOMParser , XMLEntityHandler , SAXParser , EntityResolver
- resolveResource() : DOMLSResourceResolver
- ResourceIdentifierType : XMLResourceIdentifier
- ResultType : DOMXPathResult
- retrieveGrammar() : XMLGrammarPool
- ReusedIDValue : XMLValid
- RootElemNotLikeDocType : XMLValid